Ir al contenido
Documentación de Endless

Copy chat model upsert

PUT
/chat-models/{chat_model_id}/copy

Copy chat model upsert. Scoped to the chat model named by chat_model_id.

Authorization

bearerAuth
AuthorizationBearer <token>

JWT token from authentication

In: header

Path Parameters

chat_model_id*string
Formatuuid

Header Parameters

Endless-Api-Version?string

Pin the caller to an API major (1). Omit to accept the current version. A major this deployment cannot serve is refused with 400 unsupported_api_version.

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

application/json

application/json

application/json

application/json

application/json

application/json

application/json

application/json

curl -X PUT "https://example.com/chat-models/0191e5a3-16a2-749c-9d74-3e5f0ab71462/copy" \  -H "Content-Type: application/json" \  -d '{    "tagline": "string",    "summary": "string",    "about": [      "string"    ],    "best_for": [      "string"    ],    "specs": [      {        "key": "context_window",        "value": "string"      }    ],    "faq": [      {        "q": "string",        "a": "string"      }    ],    "language": "en"  }'
{  "copy": {    "tagline": "string",    "summary": "string",    "about": [      "string"    ],    "best_for": [      "string"    ],    "specs": [      {        "key": "context_window",        "value": "string"      }    ],    "faq": [      {        "q": "string",        "a": "string"      }    ],    "language": "en",    "updated_at": "string"  }}